/* 	==========================================================================
   	zoomsquare: BOTTOM BAR
   	========================================================================== */

	/* STYLE
    ========================================================================== */

    .bottombar
	{
		position: fixed;
		left: 0;
		right: 0;
		bottom: 0;
		z-index: $bottombar-z-index;

		padding: $r-gutter / 2;

		box-shadow: $bottombar-box-shadow;
		background-color: $bottombar-background-color;
		text-align: center;

		animation-name: slideUp;
        animation-iteration-count: 1;
        animation-timing-function: ease-in;
        animation-duration: 0.6s;

        &.bottombar--light
        {
        	background-color: $bottombar-light-background-color;
        }

        &.bottombar--mercury
        {
        	background-color: $bottombar-mercury-background-color;
        }

        &.bottombar--silver
        {
        	background-color: $bottombar-silver-background-color;
        }

        &.bottombar--stone
        {
        	background-color: $bottombar-stone-background-color;
        }

        &.bottombar--stable
        {
        	background-color: $bottombar-stable-background-color;
        }

        &.bottombar--positive
        {
        	background-color: $bottombar-positive-background-color;
        }

        &.bottombar--calm
        {
        	background-color: $bottombar-calm-background-color;
        }

        &.bottombar--balanced
        {
        	background-color: $bottombar-balanced-background-color;
        }

        &.bottombar--energized
        {
        	background-color: $bottombar-energized-background-color;
        }

        &.bottombar--assertive
        {
        	background-color: $bottombar-assertive-background-color;
        }

        &.bottombar--dark
        {
        	background-color: $bottombar-dark-background-color;
        }

        &.bottombar--royal
        {
        	background-color: $bottombar-royal-background-color;
        }

        &.bottombar--transparent
        {
        	background-color: $bottombar-transparent-background-color;
        	box-shadow: none;
        }
	}


    /* ANIMATION
    ========================================================================== */

    @keyframes slideUp {
        0% {
            transform: translateY(70px);
        }
        100% {
            transform: translateY(0);
        }
    }